Specify variant for pricing rules
GET https://{handle}.myshopline.com/admin/openapi/v20261201/company_location_catalog/:catalog_id/:variant_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Specify company location catalog variant to query pricing rules.
Path Parameters
- catalog_id string requiredThe ID of company location catalog.Example:
6598087148213149672 - variant_id string requiredThe ID of the variant in the catalog.Example:
18064649853096752677070520
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
- percent integerThe adjustment value based on
percent_type, formatted as a percentage.- When decreasing the price, the value is limited to 0-100.
- When increasing the price, the value is limited to 0-10,000.
Example:50 - percent_type integerThe type of percentage adjustment, with a value of
1for decreasing the price and a value of2for increasing the price.Example:1 - price stringFixed priceExample:
100 - price_adjustment_method integerThe type of price adjustment, with a value of
1for percentage and a value of2for fixed price (default).Example:1 quantity_price_breaksobject[]
Gradient pricing list.price stringFixed price, valid only whenprice_adjustment_method=2.Example:100minimum_qty integerGradient-based minimum purchase quantity.Example:2percent integerThe adjustment value based onpercent_type, formatted as a percentage.- When decreasing the price, the value is limited to 0-100.
- When increasing the price, the value is limited to 0-10,000.
Example:50percent_type integerThe type of percentage adjustment, with a value of1for decreasing the price and a value of2for increasing the price.Example:1quantity_rulesobject
Rules for purchase quantityminimum integerMinimum purchase quantity.Example:2increment integerPurchase quantity increment where each increase must be a multiple of the increment.Example:2maximum integerMaximum purchase quantity.Example:8- variant_id stringThe ID of the variant in the catalog.Example:
18064649853096752677070520
API Explorer
Debugger
Was this article helpful to you?